:tocdepth: 3

base/protocols/finger/spicy-events.zeek
=======================================

Events generated by the Finger analyzer.


Summary
~~~~~~~
Events
######
============================================= ==============================
:zeek:id:`finger_reply`: :zeek:type:`event`   Generated for Finger replies.
:zeek:id:`finger_request`: :zeek:type:`event` Generated for Finger requests.
============================================= ==============================


Detailed Interface
~~~~~~~~~~~~~~~~~~
Events
######
.. zeek:id:: finger_reply
   :source-code: base/protocols/finger/spicy-events.zeek 31 31

   :Type: :zeek:type:`event` (c: :zeek:type:`connection`, reply_line: :zeek:type:`string`)

   Generated for Finger replies.
   
   See `Wikipedia <http://en.wikipedia.org/wiki/Finger_protocol>`__ for more
   information about the Finger protocol.
   

   :param c: The connection.
   

   :param reply_line: The reply as returned by the server
   
   .. zeek:see:: finger_request

.. zeek:id:: finger_request
   :source-code: base/protocols/finger/spicy-events.zeek 19 19

   :Type: :zeek:type:`event` (c: :zeek:type:`connection`, full: :zeek:type:`bool`, username: :zeek:type:`string`, hostname: :zeek:type:`string`)

   Generated for Finger requests.
   
   See `Wikipedia <http://en.wikipedia.org/wiki/Finger_protocol>`__ for more
   information about the Finger protocol.
   

   :param c: The connection.
   

   :param full: True if verbose information is requested (``/W`` switch).
   

   :param username: The request's user name.
   

   :param hostname: The request's host name.
   
   .. zeek:see:: finger_reply


